# Uses of Class
org.eclipse.birt.report.model.api.ExtendedItemHandle

Packages that use ExtendedItemHandle
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of ExtendedItemHandle in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension with parameters of type ExtendedItemHandle
Modifier and Type
Method
Description
`void`
IReportItem.`setHandle(ExtendedItemHandle handle)`
Sets the handle of this report item.
`void`
ReportItem.`setHandle(ExtendedItemHandle handle)`
Constructors in org.eclipse.birt.report.model.api.extension with parameters of type ExtendedItemHandle
Modifier
Constructor
Description
``
`MultiRowItem(ExtendedItemHandle item)`
Constructors.
``
`SimpleRowItem(ExtendedItemHandle item)`
Constructors.

## Uses of ExtendedItemHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type ExtendedItemHandle
Modifier and Type
Method
Description
`IReportItem`
SimpleElementFactory.`wrapExtensionElement(ExtendedItemHandle handle, int type)`

## Uses of ExtendedItemHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type ExtendedItemHandle
Modifier and Type
Method
Description
`IReportItem`
ISimpleElementFactory.`wrapExtensionElement(ExtendedItemHandle handle, int type)`
Creates the scriptable object for the corresponding element handles.

## Uses of ExtendedItemHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util with parameters of type ExtendedItemHandle
Modifier and Type
Method
Description
`protected static boolean`
ElementExportUtilImpl.`checkExportedExtendedItem(ExtendedItemHandle elementToExport)`
Checks extended item can be exported or not.